"""
Geological modelling classes and functions

Main API for creating a GeologicalModel
=======================================
.. autosummary::
    :toctree: _autosummary

    core.geological_model

Geological Features
===================
.. autosummary::
    :toctree: _autosummary

    features.geological_feature
    features.geological_feature_builder
    features.region_feature
    features.unconformity_feature
    features.structural_frame
    features.structural_frame_builder

Folding classes
===============
.. autosummary::
    :toctree: _autosummary

    fold.fold
    fold.fold_rotation_angle
    fold.fold_rotation_angle_feature
    fold.foldframe
    fold.svariogram


Fault classes
===============

.. autosummary::
    :toctree: _autosummary

    fault.fault_segment
    fault.fault_function
    fault.fault_function_feature

"""

